cancel
Showing results for 
Search instead for 
Did you mean: 

Cannot migrate Data from 1.6 to 2.0

Cannot migrate Data from 1.6 to 2.0

m trying to migrate data from 1.6.0.0 to the latest version of magento but am getting the following error:

    Integrity check failed due to "core_config_data" document does not exist in the destination resource.

The table exists in the magento 2.1.7 database as mgnb_core_config_data

Here is the config.xml info.

<source>
        <database host="localhost" name="old_db" user="user"  password="pass"/>
    </source>
    <destination>
        <database host="localhost" name="new_db" user="user"   password="pass"/>
    </destination>
    <options>
    <dest_prefix>mgnb_</dest_prefix>
    <crypt_key>adfabde1a4e1533ec61egggae16e58abb66</crypt_key>

2 REPLIES

Re: Cannot migrate Data from 1.6 to 2.0

Hmm, that does look like the correct way to specity a destination prefix. I see many other people talking about this issue. One person here had it a while back: https://github.com/magento/data-migration-tool/issues/126#issuecomment-236871908 but managed to resolve it by starting again but isn't clear how/why. 

 

Are changes to the config.xml file definitely taken affect?

----
If you've found one of my answers useful, please give "Kudos" or "Accept as Solution" as appropriate. Thanks!

Re: Cannot migrate Data from 1.6 to 2.0

Thanks, I removed the database table prefix which got me past that stage. Now I've a problem with crypt keys.

 

The error I'm getting is [ERROR]: "crypt_key" option is not defined the configuration.

 

Here is local.xml key

 

<crypt>
            <key><![CDATA[adfabde1a4e1533ec61eae16e58abb66]]></key>
        </crypt>

 

This is what I have on config.xml

<options>
       
    <crypt_key>adfabde1a4e1533ec61eae16e58abb66</crypt_key>